#!/bin/bash

# Source package for discover : http://ftp.debian.org/debian/pool/main/d/discover/
# Source package for discover-data : http://ftp.debian.org/debian/pool/main/d/discover-data/
# Package maintainer : Jean-Philippe Guillemin <jp.guillemin@free.fr>

softname='discover'

softversion='2.0.7.2.1'
packageversion='1z22'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$softname-2.0.7.tar.gz"
src="$buildir/$softname-2.0.7"

datapkg="$buildir/discover-data-2.2005.11.12.tar.gz"
data="$buildir/discover-data-2.2005.11.12"

package="$softname-$softversion-$arch-$packageversion"

dest="$buildir/$package"


cd $buildir
rm -rf $src
rm -rf $data
tar -xvf $srcpkg
tar -xvf $datapkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu"  

cd $src
patch -p1 < $buildir/discover_2.0.7-2.1.diff
./configure \
--prefix=/usr \
--exec-prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--libdir=/usr/lib \
--datadir=/usr/share

make 
make
make install DESTDIR=$dest

cd $data
make install prefix=/usr DESTDIR=$dest KVERSION_26=2.6.15.1

mkdir -p $dest/etc/rc.d
cp $buildir/rc.discover $dest/etc/rc.d
chmod 755 $dest/etc/rc.d/rc.discover


mkdir -p $dest/install 
cat > $dest/install/slack-desc << END 
        |-----handy-ruler------------------------------------------------------|
discover: discover (hardware discovery system)
discover: Discover is a set of libraries and utilities for gathering 
discover: and reporting information about a system's hardware.
discover: The tool can be accessed by linking to the Discover library 
discover: or by calling discover (which itself links to the Discover library).
discover: 
discover: discover is released under "UCB/BSD" or "MIT/X Consortium" licence.
discover:  
discover: 
discover: 
discover: Packaged by: Jean-Philippe Guillemin
END


chmod 644 $buildir/pci-device.xml
cp -pf $buildir/pci-device.xml $dest/usr/share/discover/

cd $src

mkdir -p $dest/usr/doc/$softname-$softversion
cp -a AUTHORS LICENCE README RELEASE INSTALL $dest/usr/doc/$softname-$softversion/
cp -rpf $dest/usr/share/doc/discover/* $dest/usr/doc/$softname-$softversion/
rm -rf $dest/usr/share/doc

gzip -9 $dest/usr/man/man?/*

( cd $dest
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
rm -rf $dest/etc/init.d

chown root:bin $dest/usr/bin/*

mkdir -p $dest/usr/src/$softname-$softversion
( cd $buildir
cp -a discover_2.0.7-2.1.diff build-$softname.sh $dest/usr/src/$softname-$softversion/
)

cd $dest
makepkg -l y -c n $dest.tgz




